Subject: bug#31888: 27.0.50; Segmentation fault in replace-buffer-contents

From: Stefan Monnier <[email-masked]>
Date: Fri, 29 Jun 2018 12:57:20 -0400

>> I think that's fine.  But could we refine the after-change call so it
>> provides tighter bounds than BEGV..ZV (which is worse than what
>> insert-file-contents does, for example)?
> What kind of refinement do you have in mind?  And where and how to get
> the info about the tighter bounds?

Keep track of the first and last char actually modified (or,
equivalently, keep track of the number of chars unmodified at the
beginning and at the end, as this is often easier).

        Stefan